import { CustomerQueueManager } from './customer-queue.manager';

export class CustomerQueueTicketSummaryManager extends CustomerQueueManager {
  get data() {
    const tickets = this.tickets.map((ticket) => {
      return {
        id: ticket.id,
        code: ticket.code,
        customer: ticket.customer,
        phone: ticket.phone,
        date: ticket.date,
        summary: {
          total_activities: this.totalActivities(ticket),
          total_tickets: this.totalTickets(ticket),
          total_used: this.totalUsedTickets(ticket),
          total_queue: this.totalQueueTickets(ticket),
        },
      };
    });

    return tickets[0];
  }
}
